App::Pinto::Command::copy(3pm)

NAME
App::Pinto::Command::copy - create a new stack by copying another

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT copy [OPTIONS] STACK TO_STACK

DESCRIPTION
This command creates a new stack by copying an existing one. All the pins and properties from the existing stack will also be copied to the new one. The new stack must not already exist.

Use the new command to create a new empty stack, or the props command to change a stack's properties after it has been created.

COMMAND ARGUMENTS
The two required arguments are the name of the source and target stacks. Stack names must be alphanumeric plus hyphens, underscores, and periods, and are not case-sensitive.

COMMAND OPTIONS

--default
    Also mark the new stack as the default stack.

--description=TEXT
-d TEXT
    Use TEXT for the description of the stack. If not specified, defaults to 'Copy of stack STACK'.

--lock
    Also lock the new stack to prevent future changes. This is useful for creating a read-only "tag" of a stack. You can always use the lock or unlock commands at a later time.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.